## stda 1.1

=== Makefile ===
--- 
+++ 
@@ -31,12 +31,11 @@
 
 $(DOC_MAN): README show_package_desc.sh
 	rm -f tar.stamp
-	pname="`grep '       .*\(.*\)' README |tr -s ' '`" ; \
+	pname="`grep -iE ' \($(PNAME)\)' README |tr -s ' '`" ; \
 	help2man -N -n "$$pname" ./show_package_desc.sh \
 		|sed -e 's/\([( ]\)\\fB/\1/g;' > $@
 
 %.1: %
-	rm -f tar.stamp
 	fname=`basename $<` ; \
 	$< --help \
 		|sed -ne "s/Usage:\s*/[SYNOPSIS]\n/; /SYNOPSIS/,+1p;" \
