=== debian/changelog ===
stda (1.1-2) unstable; urgency=low

  * debian package source format changed to 3.0 (quilt)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 03 Jun 2011 17:42:12 +0200

stda (1.1-1) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 01 Jun 2011 17:01:23 +0200

stda (1.0-2) unstable; urgency=low

  * debian/dirs not needed and hence removed

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 19 Oct 2009 21:22:21 +0200

stda (1.0-1) unstable; urgency=low

  * Initial release (Closes: #550211)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 08 Oct 2009 22:09:05 +0200
