=== debian/control ===
Source: stda
Section: math
Priority: extra
Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://gnu.mirendom.net/stda.html

Package: stda
Architecture: all
Depends: gawk | mawk, gnuplot, ${misc:Depends}
Recommends: gv, evince
Description: simple tools for data analysis (stda)
 This package contains some primary tools for evaluating sums, averages,
 integrals, derivatives, histograms/distributions of 1-d numerical data, and
 eventually for plotting the results. The stand-alone programs (supporting
 the standard UNIX input and output pipelines) are intended for data processing
 from the command line. They are especially useful for straightforward analysis
 of number series where a complex analytical approach is not necessary.
 Following programs are included:
 .
  * maphimbu   - histogram builder for 1-d numerical and text data
  * mintegrate - evaluate average/sum/integral/derivative of 1-d numerical data
  * mmval      - find minimum and maximum value in a data set
  * muplot     - plot a multi-curve figure from multiple data by using Gnuplot
  * nnum       - produce a series of equally-separated integers or floats
  * prefield   - prepare input file for 'muplot' to plot 2-d fields by arrows
