## stda 1.1.1

=== debian/changelog ===
stda (1.1.1-1) unstable; urgency=low

  * New upstream release
  * mmval changed to have:
    + a default functionality (Closes: #647482)
    + a return code != 0 if unknown command option provided (Closes: #647483)
  * mintegrate fixed to provide correct results also with two numbers
    (Closes: #647484)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 16 Feb 2012 14:06:59 +0100
