=== debian/control ===
--- 
+++ 
@@ -23,6 +23,6 @@
   * mintegrate - evaluate average/sum/integral/derivative of 1-d numerical data
   * mmval      - find minimum and maximum value in a data set
   * muplot     - plot a multi-curve figure from multiple data by using Gnuplot
-  * nnum       - produce a series of equally-separated integers or floats
+  * nnum       - produce a series of equally separated integers or floats
   * prefield   - prepare input file for 'muplot' to plot 2-d fields by arrows
