## stda 1.2.1

=== Makefile ===
--- 
+++ 
@@ -37,15 +37,11 @@
 
 %.1: %
 	fname=`basename $<` ; \
-	$< --help \
-		|sed -ne "s/Usage:\s*/[SYNOPSIS]\n/; /SYNOPSIS/,+1p;" \
-		|grep -v Options: \
-	> $(DIR_SRC)/synopsis.txt ; \
 	pname="`$< -h |grep ^$$fname |cut -f2- -d:`" ; \
-	help2man -N -n "$$pname" -I $(DIR_SRC)/synopsis.txt $< \
+	help2man -N -n "$$pname" $< \
 		|sed -e 's/\([( ]\)\\fB/\1/g; s/\([^\\]\)-/\1\\-/g; s/\([^\\]\)-/\1\\-/g;' \
-	> $<.1 ; \
-	rm -f tar.stamp $(DIR_SRC)/synopsis.txt
+		> $<.1 ; \
+	rm -f tar.stamp
 
 update:
 	cd $(DIR_SRC) && ls -1 \
