=== debian/changelog ===
stda (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 21 Aug 2013 17:21:31 +0200
