=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://gnu.mirendom.net/stda.html
 
 Package: stda
