=== debian/watch ===
version=3
http://gnu.mirendom.net/stda.html download.cgi/gnu/stda/stda-([\d\.]+).tar.gz
