## stda 1.3.1

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,7 @@
 	ups=`test -f debian/changelog && \
 		awk 'NR==3 {print $0}' debian/changelog | \
 		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
-	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp\
+	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp \
 		--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
@@ -120,3 +120,11 @@
 	cd .. && \
 	sha1sum $(PNAME)-$$vers.tar.gz $(PNAME)-$$dvers.noarch.rpm \
 		> $(PNAME)-$$vers.sha1
+
+sig:
+	@test ! -f debian/changelog && exit ; \
+	vers=`cat $(VERSION)` ; \
+	dvers=`sed -n '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
+	cd .. \
+	&& gpg --armor --detach-sig $(PNAME)_$$vers.orig.tar.gz \
+	&& cp -fp $(PNAME)_$$vers.orig.tar.gz.asc $(PNAME)-$$vers.tar.gz.asc
