=== debian/changelog ===
stda (1.3.1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 18:29:47 +0100

stda (1.3.1-2) unstable; urgency=low

  * Bugfix: compatibility level set to 9 in debian/compat
  * Escapes added before tarball dots in debian/watch
  * Empty target 'override_dh_auto_clean' in debian/rules is enough instead
    of the previous 'clean' target
  * Semicolon added at the end of program's item long descriptions, tiny
    changes of the text formatting in debian/control.
  * Added 'Vcs-Browser' and 'Vcs-Git' fields in debian/control
  * debian/gbp.conf added to enable simple usage of 'git-buildpackage'

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 05 Sep 2014 00:50:51 +0200

stda (1.3.1-1) UNRELEASED; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.5
  * Debhelper compatibility level changed to 9
  * Package priority set to 'optional'
  * Package long description in debian/control adjusted
  * debian/copyright format updated to 1.0
  * debian/upstream/signing-key.asc added and debian/watch changed to enable
    automatic verification of the cryptographic signature on the upstream
    source archive
  * debian/rules is now minimalistic
  * Makefile modified to produce a gpg-signature-file of the package's archive

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 21 Aug 2014 22:44:16 +0200
