=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://gnu.mirendom.net/stda.html download.cgi/gnu/stda/stda-([\d\.]+)\.tar\.gz
